# linkedin_blog

a collection of article posted on linkedin using markdown and presenterm

## File structure
```
src/  
  configs/: Base configuration for presenterm  
  posts/: Posts, organized by topic  
  scripts/: Scripts used by the build process  
  Makefile: Makefile used by the build process
```

## Usage
### With nix
`nix developp`: launch a shell with presenterm and weasyprint allowing the user
to easely preview the slides in his terminal.  
`nix build`: will build all the posts in a **result/** folder
### With a package manager
install `presenterm` and optionally `weasyprint` to preview and/or export each
posts. 
